# Generated by Django 4.2.17 on 2025-06-17 06:33

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("birds", "0026_fix_parent_created_timestamps"),
    ]

    operations = [
        migrations.AlterField(
            model_name="status",
            name="adds",
            field=models.CharField(
                blank=True,
                choices=[
                    (None, "Not an addition"),
                    ("egg", "Adds an unborn animal"),
                    ("birth", "Adds a living animal"),
                    ("transfer", "Transfers animal into the colony"),
                ],
                help_text="type of addition event, or None for events that don't add an animal",
                max_length=10,
                null=True,
            ),
        ),
        migrations.CreateModel(
            name="AnimalLifeHistory",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("laid_on", models.DateField(blank=True, null=True)),
                ("born_on", models.DateField(blank=True, null=True)),
                ("acquired_on", models.DateField(blank=True, null=True)),
                ("died_on", models.DateField(blank=True, null=True)),
                ("has_any_event", models.BooleanField(default=False)),
                ("has_unexpected_removal", models.BooleanField(default=False)),
                ("last_updated", models.DateTimeField(auto_now=True)),
                (
                    "animal",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="life_history",
                        to="birds.animal",
                    ),
                ),
            ],
            options={
                "indexes": [
                    models.Index(
                        fields=["born_on"], name="birds_anima_born_on_47b21d_idx"
                    ),
                    models.Index(
                        fields=["died_on"], name="birds_anima_died_on_0c8368_idx"
                    ),
                    models.Index(
                        fields=["has_unexpected_removal"],
                        name="birds_anima_has_une_b51026_idx",
                    ),
                ],
            },
        ),
    ]
